<?
include_once('includes/top.php');
include_once('opendb.php');
$brcode=$_SESSION['brcode'];
$user=$_SESSION['user'];
//$br=$_SESSION['branch'];
if(strlen($user)<=0)
{
  print "<script> alert('Invalid User'); document.location='inde.php' </script>";
  return;
}
$inno=$_REQUEST['inno'];
?>
<!DOCTYPE html>
<html><head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<title>Kerala Khadi & Village Industries Board</title>
<link type="text/css" href="jquery/jquery-ui.min.css" rel="stylesheet" />	
<script type="text/javascript" src="js/jquery.js"></script>
<script type="text/javascript" src="functions_slsrtn.js"></script>
<script type="text/javascript" src="jquery/jquery-1.7.min.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.min.js"></script>
<script type="text/javascript" src="jquery/jquery.jqEasyCharCounter.min.js"></script>
<script type="text/javascript">

var count1=1;
var count2=1;
var count3=1;
var pname=[];
var pcode=[];
var pname1=[];
var pcode1=[];
var empname=[];
var ndpcost=[];


$(function(){

$(".partcode").live("keydown.autocomplete",function(){
$partcode = $(this);

$row = $partcode.parent().parent();
$(this).autocomplete({
		source: function( request, response ) {

		$.ajax({
			url: "search5.php",
			dataType: "json",
			data: "key="+$partcode.val(),
			success: function( data ) {
				response( $.map( data, function( item ) {
					
					
					return { 
						label: '<span class="la-code">'+item.partcode+' </span><span class="la-name">'+  item.partname + '</span><span class="la-stok"> '+ item.stock +'</span><span class="la-rate"> '+item.rate +'</span>'    ,
						value: item.partcode,
						name:item.partname,
						tax:item.tax,
						
						stock:item.stock,
						rate:item.rate,
						
							
						
					}
				}));
			}
		});
	}
	
,
	minLength: 2,
	select: function( event, ui ) {
	$row.find('.partname').val(ui.item.name);
	$row.find('.stok').val(ui.item.stock);
	$row.find('.unitprice').val(ui.item.rate);
	$row.find('.tax').val(ui.item.tax);
	$row.find('.qty').focus();
	/*log( ui.item ?
	"Selected: " + ui.item.label :
	"Nothing selected, input was " + this.value);
	*/
	 }
	
	}).data("ui-autocomplete")._renderItem = function (ul, item) {
         return $("<li></li>")
             .data("item.autocomplete", item)
             .append( item.label )
             .appendTo(ul);
     };

					
});




$(".partname").live("keydown.autocomplete",function(){

$partname = $(this);

$row = $partname.parent().parent();
$(this).autocomplete({
		source: function( request, response ) {

		$.ajax({
			url: "search5.php?type=name",
			dataType: "json",
			data: "key="+$partname.val(),
			success: function( data ) {
				response( $.map( data, function( item ) {
					return { 
						label: '<span class="la-code">'+item.partcode+' </span><span class="la-name">'+  item.partname + '</span><span class="la-stok"> '+ item.stock +'</span><span class="la-rate"> '+item.rate +'</span>'    ,
						code: item.partcode,
						value:item.partname,
						tax:item.tax,
						
						stock:item.stock,
						rate:item.rate,
						rate2:item.rate2,	
						
						
					}
	
				}));
			}
		});
	}
	
,
	minLength: 2,
	select: function( event, ui ) {

	$row.find('.partcode').val(ui.item.code);
	$row.find('.stok').val(ui.item.stock);
	$row.find('.unitprice').val(ui.item.rate);
	$row.find('.pur_rate').val(ui.item.rate2);
	$row.find('.tax').val(ui.item.tax);
	$row.find('.itmtyp').show().focus();
		
	/*log( ui.item ?
	"Selected: " + ui.item.label :
	"Nothing selected, input was " + this.value);
	*/
	 }
	
	}).data("ui-autocomplete")._renderItem = function (ul, item) {
         return $("<li></li>")
             .data("item.autocomplete", item)
             .append( item.label )
             .appendTo(ul);
     };

					
});

});





function sel(id1)
{

   document.getElementById(id1).select();
  
}




function showHint()
{
document.getElementById("popScroll2").innerHTML="<img src='images/loader.GIF' />";

if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    document.getElementById("popScroll2").innerHTML=xmlhttp.responseText;
    }
  }
xmlhttp.open("GET","workshop_viewinv1.php", true);
xmlhttp.send();
}



function viewinv()
{
 var str=document.getElementById('cid').value;
document.getElementById("popScroll2").innerHTML="<img src='images/loader.GIF' />";


if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    document.getElementById("popScroll2").innerHTML=xmlhttp.responseText;
    }
  }
xmlhttp.open("GET","workshop_viewinv.php?inno="+str,true);
xmlhttp.send();
}


/** code below for close popup div **/
function close_div(){
   var list = document.getElementsByClassName("pop-up2");
             for (var i = 0; i < list.length; i++) {
               list[i].style.display = 'none';
             }
    		var e = document.getElementById('pop2');
   		 if(e.style.display == 'block') {
       		 e.style.display = 'none';
   		 } else {
        	e.style.display = 'none';
              }

 }



 function check_empname(str,id1){

   var flg=0;
   for(var j=0;j<count1;j++){
alert(empname[j]);
       if(str==empname[j]){

         flg++;

       }//close of if cond.
  

   }//close of for loop.

   var len=str.length;

   if((!isNaN(str))&&len<=1){

   flg++;
   }
 
   if(flg<1){
    alert('Invalid employee');
    document.getElementById(id1).value='';
    document.getElementById(id1).focus();
    
   }
   
 }//function closed.




function dispField(htmlID,htmlID1,htmlID2) 
   {
	
	if (document.invoice_form.RadioGroup1[0].checked == true) 
		{
		document.invoice_form.ptype.value="1";
		
		newcustomer();
  		}
	else if (document.invoice_form.RadioGroup1[1].checked == true) 
		{
		document.invoice_form.ptype.value="2";
		
		showcustomer();
		}
	else if (document.invoice_form.RadioGroup1[2].checked == true) 
		{
		document.invoice_form.ptype.value="3";
		
		khadicustomer();
		
  		}
   }



</script>
<style>
#txt{
font-family: Arial, Helvetica;
background-color: #F2F2F2;

}
</style>
<style>


#mask {
	display: none;
	background:url(images/bgimg1.gif) repeat;
	//background: #000; 
	position: fixed; left: 0; top: 0; 
	z-index: 10;
	width: 100%; height: 100%;
	opacity: 0.8;
	z-index: 999;
}

.login-popup{
		display:none;
	background:white;
	padding: 10px; 	
	border: 2px solid #ddd;
	float: left;
	font-size: 1.2em;
	position: fixed;
	top: 4%; left: 45%;
	z-index: 99999;
	box-shadow: 0px 0px 20px #999;
	-moz-box-shadow: 0px 0px 20px #999; /* Firefox */
    -webkit-box-shadow: 0px 0px 20px #999; /* Safari, Chrome */
	border-radius:3px 3px 3px 3px;
    -moz-border-radius: 3px; /* Firefox */
    -webkit-border-radius: 3px; /* Safari, Chrome */
}
}

img.btn_close {
	float: right; 
	margin: -28px -28px 0 0;
}

fieldset { 
	border:none; 
}

form.signin .textbox label { 
	display:block; 
	padding-bottom:7px; 
}

form.signin .textbox span { 
	display:block;
}

form.signin p, form.signin span { 
	color:white; 
	font-size:11px; 
	line-height:18px;
} 

form.signin .textbox input { 
	background:#666666; 
	border-bottom:1px solid #333;
	border-left:1px solid #000;
	border-right:1px solid #333;
	border-top:1px solid #000;
	color:white; 
	border-radius: 3px 3px 3px 3px;
	-moz-border-radius: 3px;
    -webkit-border-radius: 3px;
	font:13px Arial, Helvetica, sans-serif;
	padding:6px 6px 4px;
	width:200px;
}

form.signin input:-moz-placeholder { color:white; text-shadow:0 0 2px #000; }
form.signin input::-webkit-input-placeholder { color:hwite; text-shadow:0 0 2px #000;  }

.submit button { 
	background: -moz-linear-gradient(center top, #f3f3f3, #dddddd);
	background: -webkit-gradient(linear, left top, left bottom, from(#f3f3f3), to(#dddddd));
	background:  -o-linear-gradient(top, #f3f3f3, #dddddd);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorStr='#f3f3f3', EndColorStr='#dddddd');
	border-color:#000; 
	border-width:1px;
	border-radius:4px 4px 4px 4px;
	-moz-border-radius: 4px;
    -webkit-border-radius: 4px;
	color:#333;
	cursor:pointer;
	display:inline-block;
	padding:6px 6px 4px;
	margin-top:10px;
	font:12px; 
	width:100px;
}

.button:hover { background:#ddd; }


.del{
      border: none;
     background: url("images/delete.png") no-repeat scroll 0 0 transparent;
}




.pop-up2 {position:absolute; top:2px; left:50px;padding-left:180px;}
.pop-up2:target {position:static; left:0;}

.popBox2 {
  background:#ffffff;

 
  width:75%;
  min-height:100%;



   z-index:1;

  border:1px solid #3a3a3a;


  -moz-border-radius:12px;
  border-radius:12px;
  -webkit-box-shadow:2px 2px 4px #3a3a3a;
  -moz-box-shadow:2px 2px 4px #3a3a3a;
  box-shadow:2px 2px 4px #3a3a3a;
  opacity:0;
 -webkit-transition: opacity 0.5s ease-in-out;
  -moz-transition: opacity 0.5s ease-in-out;
  -o-transition: opacity 0.5s ease-in-out;
  -ms-transition: opacity 0.5s ease-in-out;
  transition: opacity 0.5s ease-in-out;  
}
:target .popBox2 {position:fixed; opacity:1;}

.popBox2:hover {box-shadow:3px 3px 6px #5a5a5a;}



.lightbox {display:none; text-indent:0em; background:#000; opacity:0.0; width:100%; height:60%; position:fixed; top:0; left:0; bottom:0; right:0;}
:target .lightbox {display:block}



  


/* .popScroll {max-height:99%; overflow-y:scroll;} removed 17/07/2012 */
.popScroll2 {position:absolute; top:2%; left:3%; right:3%; bottom:9%; overflow-y:auto; *overflow-y:scroll; padding-right:0.5em}


</style>

<script type="text/javascript">

$(document).bind('keydown', 'Alt+n',function (e){
      
    if(e.which==78 && e.altKey){
	 //alert (e.which);
        shortkey_tblopen();
        return false;
    } 
    if(e.which==83 && e.ctrlKey) {
e.preventDefault()
 $( "#svbttn" ).click();
        return false;
}  
   if(e.which==82 && e.altKey){
	 
         window.location.reload(true);
        return false;
    } 
      
    
});
</script>

<script type="text/javascript">
function shortkey_tblopen(){
               
               var rowCounts = document.getElementById('myTable').rows.length;
		 if(rowCounts<=1){
		          
			document.getElementById('insrowbttn').click(); 
               }		   					
 		 
 }

</script>


<script type="text/javascript">
 var count1=0;
 var empname=[];

 var cur=1;
 //var partcode=[];
 var partname=[];
 var unitprice=[];
 var qty=[];
 var tot=[];
 var typ=[];
 var cnt=1;

function insRow(event,i1,id2)
{

var keyCode = event.keyCode ? event.keyCode : event.which ? event.which : event.charCode;

var cur_val=i1.value;


switch(keyCode)
{
case 38:
   var row=i1.parentNode.parentNode.rowIndex;
   var col  =i1.parentNode.cellIndex ;
			 
   document.getElementById('myTable').rows[row-1].cells[col].getElementsByTagName("input")[0].focus();
  break;
case 40:
  var row=field.parentNode.parentNode.rowIndex;
  var col  =field.parentNode.cellIndex ;
			 
   document.getElementById('myTable').rows[row+1].cells[col].getElementsByTagName("input")[0].focus();
			
  break;
case 37:
  var row=field.parentNode.parentNode.rowIndex;
  var col  =field.parentNode.cellIndex ;
			 
  document.getElementById('myTable').rows[row].cells[col-1].getElementsByTagName("input")[0].focus();
	
}



if(id2!="insrowbttn")
  {
   var i2=i1.parentNode.parentNode.rowIndex;
   var i3=parseFloat(i2)+parseFloat(1);
   var rowCounts = document.getElementById('myTable').rows.length;
   var rowCounts1= rowCounts-1;
   
  
  }
else
  {
   var i2=0;
   var rowCounts1=0;
  }
//alert(cur);



if(((keyCode == 13) && (i2==rowCounts1))||(cnt==1))
 {
var rowCount = document.getElementById('myTable').rows.length;
var rowcount1=parseFloat(rowCount)+parseFloat(1);
//alert(rowCount);
var x=document.getElementById('myTable').insertRow(rowCount);


if(rowCount>=1)
 {
  document.getElementById('insrowbttn').type='hidden';
 }

var a=x.insertCell(0);
var b1=x.insertCell(1);
var c1=x.insertCell(2);
var z1=x.insertCell(3);
var d1=x.insertCell(4);
var s1=x.insertCell(5);	
var e1=x.insertCell(6);
var f1=x.insertCell(7);
//var w1=x.insertCell(8);
var g1=x.insertCell(8);
var h1=x.insertCell(9);
var j1=x.insertCell(10);
var l1=x.insertCell(11);
var m1=x.insertCell(12);
var n1=x.insertCell(13);
var r1=x.insertCell(14);
var o1=x.insertCell(15);
var p1=x.insertCell(16);
var k;//=this.rowIndex;
var k1;
a.innerHTML=cur;

b1.innerHTML="<input type=text name=partcode[] id=partcode"+cur+"  class='partcode' size=3 autocomplete='off' list='partcodelist'>";
c1.innerHTML="<input type=text name=partname[] id=partname"+cur+"  class='partname' size=8  autocomplete='off' list='partlist' >"; 
var v="";
v="<select name='itmtyp[]' id=itmtyp"+cur+" class='itmtyp' onchange='showitmtype(this.value,this,this.id)' onKeyPress='return handleEnter(this, event)' onfocus='sel(this.id)'>";
v=v+'<option>N</option>';
v=v+'<option>D</option>';
v=v+'<option>S</option>';
v=v+'<option>C</option>';

z1.innerHTML=v+"</select><input type=text id='itmvl"+cur+"' name=itmvl[] value='0' size=3 style='outline:none;border:1px solid grey;width:30px; padding-left:7px; font-weight:normal;border-style:dotted; font-family:verdana;font-size:13px;visibility:hidden;' onKeydown='return handleEnter(this, event)' onfocus='sel(this.id)'  > "; 
d1.innerHTML="<input type=text name='qty[]' class='qty' id=qty"+cur+" size=1 onKeydown='return handleEnter(this, event)'>";//onKeyup=validnum(this.id)
s1.innerHTML="<input type=text name=retnqty[] id=retnqty"+cur+" size=2 class='retnqty' onfocus='sel(this.id)' onKeydown='return handleEnter(this, event)' onKeyup='qtycheck(this)'>";

e1.innerHTML="<input type=text name=unitprice[] id=unitprice"+cur+" size=3 class='unitprice' readonly onfocus='sel(this.id)' onKeydown='return handleEnter(this, event)' onKeyup='qtycheck(this)'>";

f1.innerHTML="<input type=text id='tot"+cur+"' name=tot[] readonly value='0' size=3 class='tot' onKeydown='return handleEnter(this, event)' onfocus='sel(this.id)' onKeyup='insRow(event,this,this.id)'>";


g1.innerHTML="<input type=text id='redct"+cur+"' name=redct[] readonly size=1 value='0' class='redct' onKeydown='return handleEnter(this, event)' onfocus='sel(this.id)' >";
h1.innerHTML="<input type=text id='rebat"+cur+"' name=rebat[] readonly value='0' size=2 class='rebat' onKeydown='return handleEnter(this, event)' onfocus='sel(this.id)' >";
j1.innerHTML="<input type=text id='kvic"+cur+"' name=kvic[] readonly value='0' size=2 class='kvic' onKeydown='return handleEnter(this, event)' onfocus='sel(this.id)' >";
l1.innerHTML="<input type=text id='kvicspl"+cur+"' name=kvicspl[] readonly value='0' size=2 class='kvicspl' onKeydown='return handleEnter(this, event)' onfocus='sel(this.id)'  >";
m1.innerHTML="<input type=text id='befrtx"+cur+"' name=befrtx[] readonly value='0' size=3 class='beftx' onKeydown='return handleEnter(this, event)' onfocus='sel(this.id)' >";
n1.innerHTML="<input type=text id='tax"+cur+"' name=tax[] readonly value='0' size=2 class='tax' onKeydown='return handleEnter(this, event)' onfocus='sel(this.id)'>";

r1.innerHTML="<input type=text id='taxamt"+cur+"' name=taxamt[] readonly value='0' size=2 class='taxamt' onKeydown='return handleEnter(this, event)' onfocus='sel(this.id)'  >"; 

o1.innerHTML="<input type=text id='ntamt"+cur+"' name=ntamt[] readonly value='0' size=3 class='ntamt'  onKeydown='return handleEnter(this, event)'>";

p1.innerHTML="<input type='button' onClick='delrow(this)' class='del' id=del"+cur+">";

document.getElementById("partcode"+cur).focus();
  cur++; 

cnt++;


var table = document.getElementById("myTable");
var row = table.rows[index];
console.log(secondRow.id);
}
if(keyCode == 40)
{
return handleEnter(this, event);
}
if(keyCode == 13)
{

var tbl = document.getElementById('myTable');
   var id3=tbl.rows[i3].cells[0].innerHTML;
document.getElementById("partcode"+id3).focus();
} 

}// end function insrow
function newcustomer()
{
document.getElementById("to_new_customerTD").innerHTML=" <input id='to_new_customer' name='cus' style='outline:none;border:1px solid grey; border-style:dotted;width:150px; padding-left:7px; font-weight:normal; font-family:verdana;font-size:13px;'   placeholder='Customer name' type='text'>";

 document.getElementById("to_new_registerTD").innerHTML=" <input id='to_new_register' name='reg' style='outline:none;border:1px solid grey;width:150px; padding-left:7px; font-weight:normal;border-style:dotted; font-family:verdana;font-size:13px;'  placeholder='Customer id' type='text'>"
 
document.getElementById("pmode").value='CASH';
}
function showcustomer()
{

if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    document.getElementById("to_new_customerTD").innerHTML=xmlhttp.responseText;
    
    }
  }
document.getElementById("pmode").value='CREDIT';
xmlhttp.open("GET","showcus.php",true);
xmlhttp.send();
}

function khadicustomer()
{

if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    document.getElementById("to_new_customerTD").innerHTML=xmlhttp.responseText;
    
    }
  }
document.getElementById("pmode").value='CREDIT';
xmlhttp.open("GET","showkhadistf.php",true);
xmlhttp.send();
}


function showregister(str)
{
//var str="hello";
//alert (str);
if (str=="")
  {
  document.getElementById("to_new_registerTD").innerHTML="";
  return;
  }
if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    document.getElementById("to_new_registerTD").innerHTML=xmlhttp.responseText;
    }
  }
xmlhttp.open("GET","showreg.php?cname="+str,true);
xmlhttp.send();

}

function showkhadiregister(str)
{
//var str="hello";
//alert (str);
if (str=="")
  {
  document.getElementById("to_new_registerTD").innerHTML="";
  return;
  }
if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    document.getElementById("to_new_registerTD").innerHTML=xmlhttp.responseText;
    
    }
  }
xmlhttp.open("GET","showkhadireg.php?cname="+str,true);
xmlhttp.send();

}



function showinfo(str)
{
//var str="hello";


if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xmlhttp.onreadystatechange=function()
  {

  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {

    document.getElementById("to_new_model").innerHTML=xmlhttp.responseText;
    var  mod= document.getElementById("mod").value;
    document.getElementById('to_new_model').value=mod;
    document.getElementById("chno").innerHTML=xmlhttp.responseText;
    var  chasis= document.getElementById("chasis").value;
    document.getElementById('chno').value=chasis;
    
    }
  }
xmlhttp.open("GET","showinfo.php?reg="+str,true);
xmlhttp.send();

}
function showHint1()
{
document.getElementById("popScroll2").innerHTML="<img src='images/loader.GIF' />";

if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    document.getElementById("popScroll2").innerHTML=xmlhttp.responseText;
    }
  }
xmlhttp.open("GET","delete_slsrtn1.php", true);
xmlhttp.send();
}

function viewinv1(str)
{
document.getElementById("popScroll2").innerHTML="<img src='images/loader.GIF' />";


if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    document.getElementById("popScroll2").innerHTML=xmlhttp.responseText;
    }
  }
xmlhttp.open("GET","delete_slsrtn.php?inno="+str,true);
xmlhttp.send();
}

</script>



<link type="text/css" href="includes/style1.css" rel="stylesheet" />
<link type="text/css" href="css/form1.css" rel="stylesheet" />
<SCRIPT LANGUAGE="JavaScript" SRC="util/PopupWindow.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC="util/AnchorPosition.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC="util/CalendarPopup.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC="util/date.js"></SCRIPT>

<script type="text/javascript">
			/*$(function() {
		
                                    $.datepicker.setDefaults( $.datepicker.regional[ "" ] );
                				$('#invoice_date').datepicker({ dateFormat: 'yy/mm/dd' } );
				$( "#customization_date_format" ).change(function() {
					$( "#invoice_date" ).datepicker( "option", "dateFormat", $( this ).val() );
				});
				$('#payment_due_date').datepicker({ dateFormat: 'yy/mm/dd' } );
				$( "#customization_date_format" ).change(function() {
					$( "#payment_due_date" ).datepicker( "option", "dateFormat", $( this ).val() );
				});
			});*/
var cal2 = new CalendarPopup();
cal2.showYearNavigation();

var cal3 = new CalendarPopup();
cal3.showYearNavigation();

var cal4 = new CalendarPopup();
cal4.showYearNavigation();

</script>


<style>
.tble1 input {
background-color:transparent;
border: 0px solid;


color:black;
}
.tble1
{

border:1px solid silver;
margin-top:20px;
}
.trcls
{

background-color:#BDBDBD;
border:1px solid silver;

}	
.tble1 td, th
{
border-collapse:collapse;
border:1px solid silver;
}
.tble1 tr
{
height:30px;
}
#tbl1{
 //margin-top:40px;
min-width:65%;
 text-align:center;
}

#tbltd1{
vertical-align: top;
margin-top:20px;
 height:400px;
background-color:white;
-moz-box-shadow: 0 0 5px -1px #000;
-webkit-box-shadow: 0 0 5px -1px #000;
box-shadow: 0 0 5px -1px #000;

}
#tbl1 td{
 text-align:left;

}
#tbl2{
 //margin:50px 20px 10px 20px;
 min-width:95%;
}
#conf_panel{  

        width:250px;
        margin-top:200px;
        position:fixed; 
        top: 1px;  
        left: 450px;  
        text_align:center;
        
        -moz-box-shadow: 0 0 2px 2px #888;
        -webkit-box-shadow: 0 0 2px 2px#888;
         box-shadow: 0 0 2px 2px #888;
     
        background-color: white;  
      
        color: black;  
        display: none; 
        border:1px solid #C2DFFF; 

    }  

.conf_tbl th{
  
    font-weight: bold;  
    color: white; 
    border:1px solid #D7D7D1;
    height:45px;
    border-collapse:collapse;

   

background: rgb(181,189,200); /* Old browsers */
background: -moz-linear-gradient(top, rgba(181,189,200,1) 0%, rgba(130,140,149,1) 36%, rgba(40,52,59,1) 100%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(181,189,200,1)), color-stop(36%,rgba(130,140,149,1)), color-stop(100%,rgba(40,52,59,1))); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(top, rgba(181,189,200,1) 0%,rgba(130,140,149,1) 36%,rgba(40,52,59,1) 100%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(top, rgba(181,189,200,1) 0%,rgba(130,140,149,1) 36%,rgba(40,52,59,1) 100%); /* Opera 11.10+ */
background: -ms-linear-gradient(top, rgba(181,189,200,1) 0%,rgba(130,140,149,1) 36%,rgba(40,52,59,1) 100%); /* IE10+ */
background: linear-gradient(to bottom, rgba(181,189,200,1) 0%,rgba(130,140,149,1) 36%,rgba(40,52,59,1) 100%); /* W3C */
//filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#b5bdc8', endColorstr='#28343b',GradientType=0 ); /* IE6-9 */

 }


.conf_tbl th{
  
    font-weight: bold;  
    color: white; 
    border:1px solid #D7D7D1;
    height:45px;
    border-collapse:collapse;

   

background: steelblue; /* Old browsers */
//background: -moz-linear-gradient(top, rgba(181,189,200,1) 0%, rgba(130,140,149,1) 36%, rgba(40,52,59,1) 100%); /* FF3.6+ */
//background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(181,189,200,1)), color-stop(36%,rgba(130,140,149,1)), //color-stop(100%,rgba(40,52,59,1))); /* Chrome,Safari4+ */
//background: -webkit-linear-gradient(top, rgba(181,189,200,1) 0%,rgba(130,140,149,1) 36%,rgba(40,52,59,1) 100%); /* Chrome10+,Safari5.1+ */
//background: -o-linear-gradient(top, rgba(181,189,200,1) 0%,rgba(130,140,149,1) 36%,rgba(40,52,59,1) 100%); /* Opera 11.10+ */
//background: -ms-linear-gradient(top, rgba(181,189,200,1) 0%,rgba(130,140,149,1) 36%,rgba(40,52,59,1) 100%); /* IE10+ */
//background: linear-gradient(to bottom, rgba(181,189,200,1) 0%,rgba(130,140,149,1) 36%,rgba(40,52,59,1) 100%); /* W3C */
//filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#b5bdc8', endColorstr='#28343b',GradientType=0 ); /* IE6-9 */

 }


.conf_tbl td{

    height:32px;
    border: 1px solid #A9A9A9;
  
  
    // font-size:4 px;  
    color: black; 
background: -moz-linear-gradient(top, rgba(246,248,249,1) 0%, rgba(229,235,238,0.94) 50%, rgba(215,222,227,0.94) 51%, rgba(233,237,240,0.91) 81%, rgba(245,247,249,1) 100%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(246,248,249,1)), color-stop(50%,rgba(229,235,238,0.94)), color-stop(51%,rgba(215,222,227,0.94)), color-stop(81%,rgba(233,237,240,0.91)), color-stop(100%,rgba(245,247,249,1))); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(top, rgba(246,248,249,1) 0%,rgba(229,235,238,0.94) 50%,rgba(215,222,227,0.94) 51%,rgba(233,237,240,0.91) 81%,rgba(245,247,249,1) 100%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(top, rgba(246,248,249,1) 0%,rgba(229,235,238,0.94) 50%,rgba(215,222,227,0.94) 51%,rgba(233,237,240,0.91) 81%,rgba(245,247,249,1) 100%); /* Opera 11.10+ */
background: -ms-linear-gradient(top, rgba(246,248,249,1) 0%,rgba(229,235,238,0.94) 50%,rgba(215,222,227,0.94) 51%,rgba(233,237,240,0.91) 81%,rgba(245,247,249,1) 100%); /* IE10+ */
background: linear-gradient(to bottom, rgba(246,248,249,1) 0%,rgba(229,235,238,0.94) 50%,rgba(215,222,227,0.94) 51%,rgba(233,237,240,0.91) 81%,rgba(245,247,249,1) 100%); /* W3C */
//filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#f6f8f9', endColorstr='#f5f7f9',GradientType=0 ); /* IE6-9 */



 }

.conf_tbl input[type="text"]  {
   // padding: 0px 5px 0px 5px;
    border-style:none;
    border-color: white;//transparent;
    background-color: transparent;
   // font-size:12px;

}

</style>
<script>

/** code below for drag the confirmation div */
window.onload = function(){
    draggable('conf_panel');
};

var dragObj = null;
function draggable(id)
{
    var obj = document.getElementById(id);
    obj.style.position = "absolute";
    obj.onmousedown = function(){
            dragObj = obj;
    }
}

document.onmouseup = function(e){
    dragObj = null;
};

document.onmousemove = function(e){
    var x = e.pageX;
    var y = e.pageY;

    if(dragObj == null)
        return;

    dragObj.style.left = x +"px";
    dragObj.style.top= y +"px";
};
 function custclose_div(){
   var list = document.getElementsByClassName("itemalist");
             for (var i = 0; i < list.length; i++) {
               list[i].style.display = 'none';
             }
    		var e = document.getElementById('adcust_panel');
   		 if(e.style.display == 'block') {
       		 e.style.display = 'none';
   		 } else {
        	e.style.display = 'none';
              }

 }
 function adcust(str)
{


    var e = document.getElementById('adcust_panel');
    if(e.style.display == 'block') {
        e.style.display = 'none';
    } else {
        e.style.display = 'block';
    }
 
}
</script>



<?php
$re1=mysqli_query($db,"select inv_prefix,login_date from branch where brcode='$brcode'");
$row=mysqli_fetch_array($re1);
$mprefix = $row[0];
$mlogin_date = $row[1];
$re=mysqli_query($db,"select max(invno) from salesretn where brcode='$brcode'");
if(mysqli_num_rows($re)<1)
{
	$inv=$mprefix.'000001'; 
}
else
{
	$row=mysqli_fetch_array($re);
       $inv=substr($row[0],-6)+1;
	$inv=substr('000000'.$inv,-6);
	if($inv==0)
	{
		$inv='000001'; 
	}
	$inv=$mprefix.$inv; 
}
?>

<?php //include('includes/top.php'); ?>
<?php //include('help_window.php'); ?>
<div align='left'><font style="font-family: 'Trebuchet MS',Verdana,Helvetica,sans-serif; font-size:15px;">  &nbsp;&nbsp;Sales >>  Sales Return Retail</font></div>
<body style="text-align: center;" onload="document.getElementById('to_new_customer').focus();" >
            
<div id="pop2" class="pop-up2" >
  <div class="popBox2">

    <div class="popScroll2" id='popScroll2' >

    </div>
 
  </div>


  <a href="#links" class="lightbox"></a>
</div>
<div id="adcust_panel" class="itemalist" style="display:none;position: absolute;">
 
   <form name='form4'>
  <table  border='1' class='conf_tbl' style="border_collpase:collapse;background-color:white;  " width='600px'>
  
 	  <tr><th colspan=4>Add Customer Details &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="button" value='X' id='close'  onclick='custclose_div();'/></th></tr>
		<tr><td>Customer Name</td><td><input type=text name='cname' id='cunm' class='ent' onKeyPress="return handleEnter(this, event)" size=40 onKeyDown=chkey(this);></td></tr>

<tr><td>Corporate </td><td><select name='corp' id='crpo' onKeyPress="return handleEnter(this, event)"><option>-</option>
<?
$re=mysqli_query($db,"select * from corp_master where branch='$brcode'  order by corpname");
while($row=mysqli_fetch_row($re))
{
 print "<option>$row[1]</option>";
}
?>
</select>
</td></tr>
<tr><td>Customer Type</td><td><select name='custype' id='custy' onKeyPress="return handleEnter(this, event)"><option>-select-</option>
<option value='Interstate'>Interstate</option>
<option value='Projects'>Projects - Instate</option>
<option value='Others'>Others - Insidestate</option>
</select>
</td></tr>
<tr><td>Address1</td><td><input type=text name='addr1' id='add1' size=40 onKeyPress="return handleEnter(this, event)"></td></tr>
<tr><td>Address2</td><td><input type=text name='addr2' id='add2' size=40 onKeyPress="return handleEnter(this, event)"></td></tr>
<tr><td>Address3</td><td><input type=text name='addr3' id='add3' size=40 onKeyPress="return handleEnter(this, event)"></td></tr>
<tr><td>District</td><td><input type=text name='district' id='dist' size=6 onKeyPress="return handleEnter(this, event)"></td></tr>
<tr><td>State</td><td><input type=text name='state' id='stat' size=6 onKeyPress="return handleEnter(this, event)"></td></tr>
<tr><td>Pin</td><td><input type=text name='pin1' id='pinn' size=6 onKeyPress="return handleEnter(this, event)"></td></tr>
<tr><td>Phone</td><td><input type=text name='phone1' id='pho' size=40 onKeyPress="return handleEnter(this, event)"></td></tr>


<tr><td>Email_id </td><td><input type=text name='email' id='emid' size=40 onKeyPress="return handleEnter(this, event)"></td></tr>


<tr><td colspan=2>TIN <input type=text name='tin' id='tinn' size=10 onKeyPress="return handleEnter(this, event)">
CST <input type=text name='cst' id='cstn' size=10 onKeyPress="return handleEnter(this, event)">
KGST <input type=text name='kgst' id='kgstn' size=10></td></tr>



<tr><td colspan=2 align=center bgcolor='lightsteelblue'>
<input type=submit value='Save' name='sv' onclick="upd_down_cust()">
</td></tr>
	 
<div id="strtxt"></div>
  
  </table>
 </form>

</div>


         <table class='tbl1' id='tbl1'  align='center'><tr><td></td><td></td><td></td><td></td></tr>
		 <tr><td align='left' colspan='6'>
		<h1 style="font-size:20px;font-weight:bold;font-family:verdana;color:black;margin:0px; padding:0px;">
		Sales Return</h1></td></tr>
		
		<tr>
 

		

       <td><a href="#pop2" id="linkss" onclick='showHint1()' style="text-decoration:none;"><input value="Delete"  style="height:32px;width:110px;" type="submit" ></a></td>
 

              <td><a href='slsrtn_printinv1.php' style="text-decoration:none;"><input style="height:32px;width:110px;" value="Print"  type="submit" ></a></td>

                
           <td style="text-align:right; width:250px; height:45px;"><a href="#login-box" class="login-window" style="text-decoration:none;"> <input  style="height:32px;width:110px;" value="Save" type="button" id='svbttn'></a></td>
<td align='right'><input style="height:50px;width:50px;" type="image" id="xxx" onclick="adcust()" src="images/add-cust.png" title="Click To Add Customer"/></td><td><?php include('help_window.php'); ?></td>
</tr>
	
<tr><td id='tbltd1' colspan='6'>

<div id="conf_panel" class="alist" style="display:none;">
 
   <form name='form2'>
  <table  border='1' class='conf_tbl' style="border_collpase:collapse;background-color:white;  " width='100%'>
  
 	  <tr><th colspan=2>Add Credit Card Details &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="button" value='X' id='close'  onclick='close_div();'/></th></tr>

  	  <tr> <td> Credit Card No:</td> <td><input type='text' name='jobno' value='<? echo $jcno;?>' size=8/></td></tr>
	  <tr>  <td>Expiry Date: </td><td><input type="text" id="d1" name="d1"  size=1 >
                                     <input type="text" id="d2" name="d2"  size=1 >
                                     <input type="text" id="d3" name="d3"  size=2 >
        </td></tr>
	<tr>  <td>Credit Card Limit: </td><td> <input type='text' name='outstanding' id='outstanding' value='<? echo $outstanding; ?>' size=8 readonly/>
                                           <input type='hidden' name='tot' id='tot_val' value='<? echo $tot_payment; ?>' size=8 readonly/> </td></tr>
 	  <tr>  <td>Amt: </td><td> <input type='text' name='down_amt' value='<? echo $adv; ?>' size=8 readonly/> </td></tr>


 	 <tr>  <td>Date: </td><td><input type="text" id="d1" value="<?echo date('d');?>"  name="d1"  size=1 >
                                     <input type="text" id="d2" value="<?echo date('m');?>"  name="d2"  size=1 >
                                     <input type="text" id="d3" value="<?echo date('Y');?>"  name="d3"  size=2 >
        </td></tr>

        <tr>  <td colspan=2>With A/c :<input type='radio' name='flag' id='with' value='yes' checked /> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Without A/c:<input type='radio' name='flag' value='no' id='without'/> </td></tr>
  	 <tr>  <th colspan=2><input type='button' name='add_amt' value='Save' onclick="upd_down_amt('<? echo $jcno;?>' )"/> </td></tr>
	 

  
  </table>
 </form>

</div>

   <?
       $re=mysqli_query($db,"select * from prod_invoice where invno='$inno' and brcode='$brcode'");
	
     $irow=mysqli_fetch_array($re);
      



        ?>

<div>
 <fieldset style="border:2px solid grey; border-style:dotted;">
            <legend style="text-align:center;">Invoice</legend>
 <form id="jforms" name="invoice_form" >

    <table class='tbl2' id='tbl2' >



 				  
                           

				 











<tr>
<td align='left' style="width:110px;">
Customer name</td>
<td  id="to_new_customerTD">
<input id="to_new_customer" name='cus' style="outline:none;border:1px solid grey; border-style:dotted; width:150px; padding-left:7px; font-weight:normal; font-family:verdana;font-size:13px;color:black;"  placeholder="Customer name" value="<?echo $irow[2];?>" type="text" readonly onKeydown="return handleEnter(this, event)">
 
    
 </td>
<td >
    </td>                    
<td style="text-align:right;">Sales Retn No#
   <input id="invoice_number" name='invno' style="outline:none;border:1px solid grey; border-style:dotted; width:141px; padding-left:7px; font-weight:normal; font-family:verdana;font-size:13px;color:#3c3c3c;"   value="<? echo $inv;?>" type="text" readonly onKeydown="return handleEnter(this, event)">

</td></tr>
<tr><td align='left'>               
    Customer Id </td>
<td id="to_new_registerTD">       
      <input id="to_new_register" name='reg' style="outline:none;border:1px solid grey; border-style:dotted; width:150px; padding-left:7px; font-weight:normal; font-family:verdana;font-size:13px;color:black;" placeholder="Customer Id" type="text" value="<?echo $irow[3];?>" readonly onKeydown="return handleEnter(this, event)">
         <input type="hidden" name="RadioGroup1" id="RadioGroup1" value="<?echo $irow[29];?>">
</td><td >   

   </td>
  <td style="text-align:right;" class="invoiceForm_fromNameTD" id="invoice_dateTD"> Sales Return Date
<input id="invoice_date" name="invdt" style="width:141px;outline:none;border:1px solid grey; border-style:dotted; cursor:pointer;background: url(img/cal.gif) 120px 2px no-repeat; padding-left:7px; font-weight:normal; font-family:verdana;font-size:13px;color:#3c3c3c;" onClick="cal2.select(document.forms[0].invdt,'anchor1','yyyy-MM-dd'); return false;"  readonly  type=text  value="<? echo $mlogin_date; ?>" onKeydown="return handleEnter(this, event)">
<A HREF="#"  TITLE="Click for Calander" NAME="anchor1" ID="anchor1"></A>

  </td></tr>

<tr><td align='left'> 
</td>
<td> 

</td> 
<td >
    </td>
<td style="text-align:right;">Sales Bill #
   <input id="oldinvoice_number" name='oldinvno' style="outline:none;border:1px solid grey; border-style:dotted; width:141px; padding-left:7px; font-weight:normal; font-family:verdana;font-size:13px;color:#3c3c3c;"   value="<? echo $irow[0];?>" type="text" readonly onKeydown="return handleEnter(this, event)">

</td>
</tr>
<tr>
<td></td><td></td>
<td >   

   </td>
  <td style="text-align:right;" class="invoiceForm_fromNameTD" id="invoice_dateTD"> Sales Bill Date
<input id="prvinvoice_date" name="prvinvdt" style="width:141px;outline:none;border:1px solid grey; border-style:dotted; cursor:pointer;background: url(img/cal.gif) 120px 2px no-repeat; padding-left:7px; font-weight:normal; font-family:verdana;font-size:13px;color:#3c3c3c;" onClick="cal2.select(document.forms[0].invdt,'anchor1','yyyy-MM-dd'); return false;"  readonly  type=text  value="<?echo $irow[1];?>" onKeydown="return handleEnter(this, event)">
<A HREF="#"  TITLE="Click for Calander" NAME="anchor1" ID="anchor1"></A>

  </td>
</tr>
 <tr><td colspan='4'>      
<input type="button" id='insrowbttn' onclick="insRow(event,this,this.id)" style="color:#6B6B6B;font-weight:bold;font-size:15px;" value="+">
<br>
<table border=1 id="myTable" class='tble1' width=100%>
<tr class='trcls'><td>No.</td><td>Item Cd</td><td>Item Name</td><td width="85px">Item Type</td><td>Qty</td><td>RetnQty</td><td>Unit Price</td><td>Total</td><td>Reduction</td><td>MDA</td><td>State Rebate Normal</td><td>State Rebate Special</td><td>Before Tax</td><td>Tax %</td><td>Tax Amount</td><td>Net Amount</td><td>Del</td></tr>
<?
 $res=mysqli_query($db,"select * from prod_invoice where invno='$inno' and brcode='$brcode'");

 $i=1;
 $l_tot=0;
 $s_tot=0;
 while($jrow=mysqli_fetch_array($res))
  {
?>
<tr><td><? echo $i ?></td>
<?
    print "<td><input type=text size=3 name='partcode[]' value='$jrow[5]' id='partcode$i' class='partcode'  autocomplete='off' list='partcodelist'    ></td>";
   print "<td><input type=text size=10 name='partname[]' value='$jrow[4]' id='partname$i'	 class='partname' autocomplete='off' list='partlist'   ></td>";
  

print "<td><select id='itmtyp$i' name=itmtyp[]  class='itmtyp' onKeyPress='return handleEnter(this, event)' onchange='showitmtype(this.value,this,this.id)' > ";
?>
<option value="N"<?php if ($jrow[27] == 'N') echo ' selected="selected"'; ?>>N</option>
<option value="D"<?php if ($jrow[27] == 'D') echo ' selected="selected"'; ?>>D</option>
<option value="S"<?php if ($jrow[27] == 'S') echo ' selected="selected"'; ?>>S</option>
<option value="C"<?php if ($jrow[27] == 'C') echo ' selected="selected"'; ?>>C</option>
<?
print "</select><input type=text id='itmvl$i' name=itmvl[] value='$jrow[9]' size=3 style='outline:none;border:1px solid grey;width:30px; padding-left:7px; font-weight:normal;border-style:dotted; font-family:verdana;font-size:13px;visibility:hidden;' onKeydown='return handleEnter(this, event)' onfocus='sel(this.id)'  >  </td>";
print "<td><input type=text name='qty[]' class='qty' id='qty$i' size=1 value='$jrow[7]' readonly onKeydown='return handleEnter(this, event)'></td>";
print "<td><input type=text name='retnqty[]' class='retnqty' id='retnqty$i' size=2 value='' onKeydown='return handleEnter(this, event)' onKeyup='qtycheck(this)'></td>";

print "<td><input type=text name=unitprice[] id='unitprice$i' size=3 value='$jrow[8]' readonly class='unitprice' onfocus='sel(this.id)' onKeydown='return handleEnter(this, event)' onKeyup='qtycheck(this)'></td>";
print "<td><input type=text id='tot$i' name=tot[] readonly value='$jrow[10]' size=3 class='tot' onKeydown='return handleEnter(this, event)' onfocus='sel(this.id)' onKeyup='insRow(event,this,this.id)'></td>";

print "<td><input type=text id='redct$i' name=redct[] readonly size=1 value='$jrow[19]' class='redct' onKeydown='return handleEnter(this, event)' onfocus='sel(this.id)' ></td>";
print "<td><input type=text id='rebat$i' name=rebat[] readonly value='$jrow[20]' size=2 class='rebat' onKeydown='return handleEnter(this, event)' onfocus='sel(this.id)' ></td>";
print "<td><input type=text id='kvic$i' name=kvic[] readonly value='$jrow[21]' size=2 class='kvic' onKeydown='return handleEnter(this, event)' onfocus='sel(this.id)' ></td>";
print "<td><input type=text id='kvicspl$i' name=kvicspl[] readonly value='$jrow[23]' size=2 class='kvicspl' onKeydown='return handleEnter(this, event)' onfocus='sel(this.id)'  ></td>";
print "<td><input type=text id='befrtx$i' name=befrtx[] readonly value='$jrow[24]' size=3 class='beftx' onKeydown='return handleEnter(this, event)' onfocus='sel(this.id)' ></td>";
print "<td><input type=text id='tax$i' name=tax[] readonly value='$jrow[25]' size=2 class='tax' onKeydown='return handleEnter(this, event)' onfocus='sel(this.id)'  ></td>";
print "<td><input type=text id='taxamt$i' name=taxamt[] readonly value='$jrow[26]' size=2 class='taxamt' onKeydown='return handleEnter(this, event)' onfocus='sel(this.id)'></td>";
print "<td><input type=text id='ntamt$i' name=ntamt[] readonly value='$jrow[11]' size=3 class='ntamt'  onKeydown='return handleEnter(this, event)'></td>";
print "<td><input type='button' onClick='delrow(this)' class='del' id='del$i'></td>";
?>
</tr>
<?
$l_tot+=$jrow[11];
 print"<script>cur++;</script>";
print"<script>cnt++;</script>";
$i++;
}
?>
</table>

<script>
var cnt=1;
</script>

<div id="livesearch" style="display: inline-block;"></div>


<input type='hidden' name='brcode' id='brcode' value='<? print $brcode;?>'>
<input type='hidden' name='curqty' id='curqty' value='0'>
<input type='hidden' name='prtname' id='prtname' value='0'>
<input type='hidden' name='savecount' id='savecount' value='0'>
<div id='txtHint'></div>
<div id='partvalid'></div>

<div id="view" class="login-popup">

</div>


 <div id="login-box" class="login-popup">
        <a href="#" class="close"><img src="images/close_pop.png" class="btn_close" title="Close Window" alt="Close" /></a>
          <div id='msgbox'></div>
		</div>
</td></tr>
   
<tr><td></td><td></td><td colspan='2' style="text-align:right;">
                      
                    Total
                <input  style="border:0px solid white;text-align:right; width:100px; padding-right:5px; font-weight:normal; font-family:verdana;font-size:13px;color:#3c3c3c;" readonly="readonly" name="spare_total" id="spare_total" value="<? echo $l_tot ?>" type="text">
</td></tr>

<tr><td></td><td></td><td colspan='2' style="text-align:right;">                  
              Net Total
                <input onclick="alert('The total is calculated automatically as soon as you have entered something into both the unit price and the quantity field in the lines above.\n\nExample: If you wish to invoice a service for 100.00, you should enter 100.00 in the unit price field and 1.00 in the quantity field.')" style="border:0px solid white;text-align:right; width:100px; padding-right:5px; font-weight:normal; font-family:verdana;font-size:13px;color:#3c3c3c;" readonly="readonly" name="sum_total" id="sum_total" value="<? echo $l_tot ?>" type="text">

</td></tr>

<tr><td colspan='4'><hr></hr></td></tr>
<tr><td></td><td></td><td style="text-align:right;"><b>Payment Mode:</b></td><td style="text-align:right;"><select name='pmode' id='pmode' onchange='downpayment1(this.value)'>
<option value="CASH"<?php if($irow[18] == 'CASH') echo ' selected="selected"'; ?>>CASH</option>
<option value="CREDIT"<?php if($irow[18] == 'CREDIT') echo ' selected="selected"'; ?>>CREDIT</option>
<option value="CREDITCARD"<?php if($irow[18] == 'CREDITCARD') echo ' selected="selected"'; ?>>CREDITCARD</option>
</select>
<input name="ptype" type="hidden" value="<? echo $irow[29] ?>" id="ptype"/>
 </form>
   </td></tr>
</table>
   
</fieldset> 
</div>
</td></tr></table>
		

</body></html>
<script type="text/javascript">
function showitmtype(str,r,itid)
{
var i=r.parentNode.parentNode.rowIndex;


   var tbl = document.getElementById('myTable');
   var id1=tbl.rows[i].cells[0].innerHTML;
	var stvl;
	stvl=document.getElementById("itmvl"+id1).value;
	
	if(str=='D')
	{

 	document.getElementById("itmvl"+id1).style.visibility = "visible";
  	
	

	}
    else 
	{
	
	document.getElementById("itmvl"+id1).style.visibility ="hidden";
	
	
       
	}
if(document.getElementById("ptype").value=='3')
	{

 	document.getElementById("stfdisc"+id1).style.visibility = "visible";
  	}
else
{
document.getElementById("stfdisc"+id1).style.visibility = "hidden";
}
   
 
}
 function downpayment(){

    var e = document.getElementById('conf_panel');
    if(e.style.display == 'block') {
        e.style.display = 'none';
    } else {
        e.style.display = 'block';
    }
 }
function close_div(){
   var list = document.getElementsByClassName("alist");
             for (var i = 0; i < list.length; i++) {
               list[i].style.display = 'none';
             }
    		var e = document.getElementById('conf_panel');
   		 if(e.style.display == 'block') {
       		 e.style.display = 'none';
   		 } else {
        	e.style.display = 'none';
              }

 }

function upd_down_amt(jcno){

   if (document.getElementById('with').checked) {
               flag = document.getElementById('with').value;
    }

   if (document.getElementById('without').checked) {
               flag = document.getElementById('without').value;
    }

    var dt1= document.getElementById('d1').value;
    
    var dt2= document.getElementById('d2').value;

    var dt3= document.getElementById('d3').value;

    var dpr_dt=dt3+'-'+dt2+'-'+dt1;

    var down_amt= document.getElementById('down_amt').value;

    var outstanding= document.getElementById('outstanding').value;

    var job_amt= document.getElementById('tot_val').value;

    var rem=outstanding-down_amt;

    if(isNaN(down_amt)){
    
      alert('Invalid Amount');

      document.getElementById('down_amt').value=0;
   
      document.getElementById('down_amt').focus();

      return false;
    }

    /*  if((rem<0)&&(job_amt>0)){
    
      alert('Amount Not Matching');

      document.getElementById('down_amt').value=0;
   
      document.getElementById('down_amt').focus();

      return false;
    } 

   else
    { */

   	 document.getElementById('conf_panel').innerHTML="Loading...";

 	 if (window.XMLHttpRequest)
  		{// code for IE7+, Firefox, Chrome, Opera, Safari
  		xmlhttp=new XMLHttpRequest();
 		 }
		else
 		 {// code for IE6, IE5
  			xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  		}
		xmlhttp.onreadystatechange=function()
  		{
  	 		if (xmlhttp.readyState==4 && xmlhttp.status==200)
    	 		{
            			document.getElementById('conf_panel').innerHTML=xmlhttp.responseText;

             			var input = document.getElementById ("myTable");
             			input.style.filter = 'alpha(opacity=' + 20 + ')';


         
        		}

      		}
    
   xmlhttp.open("GET","ajaxupd_down_amt.php?jcno="+jcno+"&& flg="+flag+"&& amt="+down_amt+"&&dpr_dt="+dpr_dt,true);
 xmlhttp.send(); 

  //}//else close

 }//function close

function downpayment1(str)
{
if(document.getElementById("pmode").value=='CREDITCARD')
{
downpayment();
}
}
</script>
<script type="text/javascript">
 function delfun(x)
 {
 	if (confirm('do you want to delete '+x+' ?'))
		{
			document.location='deleteslsrtn.php?code='+x;
		}
 
 }
  
</script>

